Skip to main content
`Ctrl`+`K`

# pandas.core.groupby.SeriesGroupBy.prod

SeriesGroupBy.prod(numeric_only=False, min_count=0)

  Compute prod of group values.

  Parameters:
    numeric_only bool, default False

      Include only float, int, boolean columns.

      Changed in version 2.0.0: numeric_only no longer accepts `None`.

    min_count int, default 0

      The required number of valid values to perform the operation. If fewer than `min_count` non-NA values are present the result will be NA.

  Returns:
    Series or DataFrame

      Computed prod of values within each group.

  Examples

  For SeriesGroupBy:

      >>> lst = ['a', 'a', 'b', 'b']
      >>> ser = pd.Series([1, 2, 3, 4], index=lst)
      >>> ser
      a    1
      a    2
      b    3
      b    4
      dtype: int64
      >>> ser.groupby(level=0).prod()
      a    2
      b   12
      dtype: int64

  For DataFrameGroupBy:

      >>> data = [[1, 8, 2], [1, 2, 5], [2, 5, 8], [2, 6, 9]]
      >>> df = pd.DataFrame(data, columns=["a", "b", "c"],
      ...                   index=["tiger", "leopard", "cheetah", "lion"])
      >>> df
                a  b  c
        tiger   1  8  2
      leopard   1  2  5
      cheetah   2  5  8
         lion   2  6  9
      >>> df.groupby("a").prod()
           b    c
      a
      1   16   10
      2   30   72